Skip to main content

Verify a JSON signature

POST 

/api/v1/crypto/signature/json-signature/verify

Verifies a json-canonical+utf8 or jws signature, and the context it carries, with a public key.

Request​

Body

required

    signature objectrequired

    The signature object, as returned by the sign endpoint

    payload object

    The signed payload, when the signature object does not embed it

    verificationContext object

    Verification context: verifiedAt (Unix timestamp in milliseconds, defaults to now) and shouldBeValidOnChain (when set, must match the allowOnChain of the signature context).

    publicKey stringrequired

    The encoded public signature key (e.g. sig:secp256k1:pk:…) the signature is verified with

Responses​

Loading...